<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Szorzás és osztás</title>
        <meta name="description" content="Szorzás és osztás gyakorlása.">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
        <link rel="stylesheet" href="css/app.css" >
    </head>
    <body>
        <div class="container">
            <h1 class="text-center">Szorzás és osztás</h1>
            <div id="messages" class="alert" role="alert"></div>
            <div class="row">
                <div class="col-md-4 col-sm-12">
                    <form method="post" id="test" onsubmit="test_form_submit()">
                        <label for="result" class="lead"><span class="first_num">f</span> <span class="op">d</span> <span class="second_num">s</span> =</label>
                        <input type="number" min="1" max="100" id="result" name="result">
                        <button type="submit" class="btn btn-primary align-middle" name="test-submit">Mehet!</button>
                    </form>
                    <hr>
                  <h4>Korábbi eredmények:</h4>
                  <ol id="previous">
                  </ol>
                </div>
                <div class="col-md-8 col-sm-12">
                    <details id="settings-wrapper" open>
                        <summary>Beállítások</summary>
                        <form method="post" id="settings" onsubmit="settings_form_submit()">
                            <div class="row">
                                <div class="col">
                                    <div class="card">
                                        <div class="card-body">
                                            <h5 class="card-title">Alapszámok</h5>
                                            <div class="card-text"><div id="alapszamok"></div></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="card">
                                        <div class="card-body">
                                            <h5 class="card-title">Műveletek</h5>
                                            <div class="card-text"><div id="muveletek"></div></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col text-center mt-2">
                                    <button type="submit" class="btn btn-primary" name="settings-save">Beállítások mentése</button>
                                    <button type="submit" class="btn btn-secondary" name="settings-reset">Alapállapot</button>
                                </div>
                            </div>
                        </form>
                    </details>
                </div>
            </div>
        </div>
        <div id="templates">
            <div class="form-check">
                <input class="form-check-input" type="checkbox">
                <label class="form-check-label"></label>
            </div>
            <li class="previuos_item"></li>
        </div>
        <script src="https://code.jquery.com/jquery-3.6.3.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.min.js" integrity="sha384-+sLIOodYLS7CIrQpBjl+C7nPvqq+FbNUBDunl/OZv93DB7Ln/533i8e/mZXLi/P+" crossorigin="anonymous"></script>
        <script src="js/app.js" async defer></script>
    </body>
</html>
